package nl.chriswedorp.demos.jbosssingletondeploy.ejb;

import javax.ejb.Singleton;
import javax.ejb.Stateless;

/**
 *
 * @author c.wesdorp
 */
@Singleton
public class CounterBean
        implements CounterBeanLocal {

    // we don't care about threadsafety right now...
    private static int value = 0;

    @Override
    public int decrementAndGet() {
        value--;
        return value;
    }

    @Override
    public int incrementAndGet() {
        value++;
        return value;
    }

    @Override
    public int get() {
        return value;
    }
    
}
